package me.wazup.hideandseek.listeners;

import org.bukkit.event.EventHandler;
import org.bukkit.configuration.file.FileConfiguration;
import java.util.Iterator;
import org.bukkit.inventory.Inventory;
import me.wazup.hideandseek.Config;
import me.wazup.hideandseek.utils.Utils;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.managers.AchievementsManager;
import org.bukkit.Effect;
import org.bukkit.event.inventory.InventoryAction;
import me.wazup.hideandseek.Perk;
import me.wazup.hideandseek.PlayerData;
import me.wazup.hideandseek.managers.FilesManager;
import org.bukkit.inventory.InventoryHolder;
import org.bukkit.Bukkit;
import java.util.ArrayList;
import me.wazup.hideandseek.Arena;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.ChatColor;
import me.wazup.hideandseek.utils.ItemStackBuilder;
import me.wazup.hideandseek.xseries.XMaterial;
import me.wazup.hideandseek.HideAndSeek;
import org.bukkit.inventory.ItemStack;
import org.bukkit.event.Listener;

public class GUIListener implements Listener
{
    ItemStack yes;
    ItemStack no;
    private HideAndSeek plugin;
    
    public GUIListener() {
        this.yes = new ItemStackBuilder(XMaterial.LIME_WOOL.parseItem()).setName(ChatColor.GREEN + "Confirm purchase").build();
        this.no = new ItemStackBuilder(XMaterial.RED_WOOL.parseItem()).setName(ChatColor.RED + "Cancel").build();
        this.plugin = HideAndSeek.getInstance();
    }
    
    @EventHandler
    public void PlayerClickInventory(final InventoryClickEvent inventoryClickEvent) {
        final Player player = (Player)inventoryClickEvent.getWhoClicked();
        final ItemStack currentItem = inventoryClickEvent.getCurrentItem();
        final Inventory inventory = inventoryClickEvent.getInventory();
        final String title = inventoryClickEvent.getView().getTitle();
        final int rawSlot = inventoryClickEvent.getRawSlot();
        if (title.equals(this.plugin.customization.inventories.get("Arenas"))) {
            inventoryClickEvent.setCancelled(true);
            if (rawSlot < -1 || rawSlot > inventory.getSize() || currentItem == null || currentItem.getType().equals((Object)Material.AIR)) {
                return;
            }
            player.performCommand("has join " + ChatColor.stripColor(inventoryClickEvent.getCurrentItem().getItemMeta().getDisplayName()));
        }
        else if (title.startsWith(ChatColor.DARK_PURPLE + "Editing: ")) {
            inventoryClickEvent.setCancelled(true);
            if (rawSlot < -1 || rawSlot > inventory.getSize() || currentItem == null || currentItem.getType().equals((Object)Material.AIR)) {
                return;
            }
            if (currentItem.getType().name().contains("STAINED_GLASS_PANE")) {
                if (XMaterial.GRAY_STAINED_GLASS_PANE.isSimilar(currentItem)) {
                    return;
                }
                final boolean similar = XMaterial.LIME_STAINED_GLASS_PANE.isSimilar(currentItem);
                final ItemStack item = inventory.getItem(inventoryClickEvent.getSlot() + (similar ? 9 : -9));
                new ItemStackBuilder(item).setName(item.getItemMeta().getDisplayName().split(": ")[0] + ": " + ChatColor.GOLD + (Integer.valueOf(ChatColor.stripColor(item.getItemMeta().getDisplayName()).split(": ")[1]) + (similar ? 1 : -1))).build();
            }
            else {
                final String str = ChatColor.stripColor(title).split(": ")[1];
                final Arena value = Arena.valueOf(str);
                if (value == null) {
                    player.closeInventory();
                    return;
                }
                if (currentItem.getType().equals((Object)Material.CHEST)) {
                    player.openInventory(value.disguisesInventoryEditor);
                    return;
                }
                if (currentItem.getItemMeta().hasDisplayName() && (currentItem.getItemMeta().getDisplayName().contains("Enabled") || currentItem.getItemMeta().getDisplayName().contains("Disabled"))) {
                    if (currentItem.getItemMeta().getDisplayName().contains("Disabled")) {
                        value.editor.setItem(40, new ItemStackBuilder(XMaterial.LIME_DYE.parseItem()).setName(ChatColor.GREEN + "Enabled").build());
                    }
                    else {
                        value.editor.setItem(40, new ItemStackBuilder(XMaterial.GRAY_DYE.parseItem()).setName(ChatColor.RED + "Disabled").build());
                    }
                    return;
                }
                if (currentItem.getType().equals((Object)Material.DIAMOND)) {
                    final long currentTimeMillis = System.currentTimeMillis();
                    final ArrayList list = new ArrayList();
                    for (int i = 9; i < 18; ++i) {
                        list.add(Integer.valueOf(ChatColor.stripColor(inventoryClickEvent.getInventory().getItem(i).getItemMeta().getDisplayName()).split(": ")[1]));
                    }
                    value.startingAmountOfSeekers = (int)list.get(0);
                    value.minHiders = (int)list.get(1);
                    value.minPlayers = (int)list.get(0) + (int)list.get(1);
                    value.maxPlayers = (int)list.get(2);
                    value.lobbyTime = (int)list.get(3);
                    value.gameTime = (int)list.get(4);
                    value.give_hider_items_after = (int)list.get(5);
                    value.hiders_become_solid_after = (int)list.get(6);
                    value.warn_about_time_every = (int)list.get(7);
                    value.powerups_spawn_every = (int)list.get(8);
                    final boolean contains = inventoryClickEvent.getInventory().getItem(40).getItemMeta().getDisplayName().contains("Enabled");
                    if ((contains && value.state.equals((Object)Arena.ArenaState.DISABLED)) || (!contains && !value.state.equals((Object)Arena.ArenaState.DISABLED))) {
                        if (contains) {
                            value.state = Arena.ArenaState.WAITING;
                            if (value.scoreboard != null) {
                                value.scoreboard.update("%state%", value.state.text);
                                value.scoreboard.update("%timer%", "0:00");
                            }
                        }
                        else {
                            value.kickAll();
                            value.state = Arena.ArenaState.DISABLED;
                        }
                        value.updateSignState();
                    }
                    value.updateSignPlayers();
                    final ArrayList disguises = new ArrayList();
                    for (int j = 0; j < 52; ++j) {
                        final ItemStack item2 = value.disguisesInventoryEditor.getItem(j);
                        if (item2 != null) {
                            disguises.add(item2);
                        }
                    }
                    value.disguises = disguises;
                    value.disguisesInventory.clear();
                    final int size = disguises.size();
                    value.disguisesInventory = Bukkit.createInventory((InventoryHolder)null, (size < 10) ? 9 : ((size < 19) ? 18 : ((size < 28) ? 27 : ((size < 37) ? 36 : ((size < 46) ? 45 : 54)))), (String)this.plugin.customization.inventories.get("Disguise-Selector"));
                    final Iterator iterator = disguises.iterator();
                    while (iterator.hasNext()) {
                        value.disguisesInventory.addItem(new ItemStack[] { (ItemStack)iterator.next() });
                    }
                    final FileConfiguration config = FilesManager.getInstance().getConfig("arenas.yml");
                    config.set("Arenas." + str + ".enabled", (Object)contains);
                    config.set("Arenas." + str + ".startingAmountOfSeekers", list.get(0));
                    config.set("Arenas." + str + ".minHiders", list.get(1));
                    config.set("Arenas." + str + ".maxPlayers", list.get(2));
                    config.set("Arenas." + str + ".lobbyTime", list.get(3));
                    config.set("Arenas." + str + ".gameTime", list.get(4));
                    config.set("Arenas." + str + ".give_hider_items_after", list.get(5));
                    config.set("Arenas." + str + ".hiders_become_solid_after", list.get(6));
                    config.set("Arenas." + str + ".warn_about_time_every", list.get(7));
                    config.set("Arenas." + str + ".powerups_spawn_every", list.get(8));
                    final ArrayList<String> list2 = new ArrayList<String>();
                    for (final ItemStack itemStack : disguises) {
                        list2.add(itemStack.getType().name() + ((itemStack.getDurability() > 0) ? (":" + itemStack.getDurability()) : "") + (itemStack.getItemMeta().hasDisplayName() ? ("::" + ChatColor.stripColor(itemStack.getItemMeta().getDisplayName())) : ""));
                    }
                    config.set("Arenas." + str + ".disguises", (Object)list2);
                    FilesManager.getInstance().saveConfig("arenas.yml");
                    value.updateArenaBuilt();
                    player.closeInventory();
                    player.sendMessage(this.plugin.customization.prefix + ChatColor.GREEN + "Success! " + ChatColor.GOLD + "your new settings has been applied! took " + ChatColor.LIGHT_PURPLE + (System.currentTimeMillis() - currentTimeMillis) + "ms!");
                }
            }
        }
        else {
            if (!title.startsWith(ChatColor.DARK_RED + "Arena blocks: ")) {
                if (this.plugin.game.contains(player.getName())) {
                    inventoryClickEvent.setCancelled(true);
                    if (rawSlot < -1 || rawSlot > inventory.getSize() || currentItem == null || currentItem.getType().equals((Object)Material.AIR)) {
                        return;
                    }
                    if (title.equals(this.plugin.customization.inventories.get("Disguise-Selector"))) {
                        final Arena arena = this.plugin.playerData.get(player.getName()).arena;
                        if (arena.state.equals((Object)Arena.ArenaState.INGAME) || arena.state.equals((Object)Arena.ArenaState.ENDING)) {
                            player.getInventory().remove((ItemStack)arena.playerDisguise.get(player.getName()));
                            final ItemStack item3 = player.getInventory().getItem(8);
                            if (item3 != null && !item3.getType().equals((Object)Material.AIR)) {
                                player.getInventory().addItem(new ItemStack[] { item3 });
                            }
                            player.getInventory().setItem(8, currentItem);
                            if (currentItem.getItemMeta().hasDisplayName() && currentItem.getItemMeta().getDisplayName().contains("Mob: ")) {
                                this.plugin.disguiseManager.disguise(player, currentItem.getItemMeta().getDisplayName().replace("Mob: ", "").toUpperCase());
                                arena.nonhidden.remove(player.getName());
                                arena.hidden.remove(player.getName());
                            }
                            else {
                                player.getInventory().setHelmet(currentItem);
                                this.plugin.disguiseManager.disguise(player, currentItem);
                                if (arena.hidden.contains(player.getName())) {
                                    this.plugin.disguisedBlocks.remove(player.getLocation().getBlock().getLocation());
                                    arena.hidden.remove(player.getName());
                                    arena.nonhidden.add(player.getName());
                                    final int n = this.plugin.playerData.get(player.getName()).hasPerk(Perk.InstaSolid) ? 1 : arena.hiders_become_solid_after;
                                    arena.stillCounter.put(player.getName(), n);
                                    player.setLevel(n);
                                    for (final Player player2 : arena.getPlayers(true)) {
                                        player2.showPlayer(player);
                                        this.plugin.sendBlockChange(player2, player.getLocation().getBlock().getLocation(), Material.AIR, 0);
                                    }
                                }
                            }
                            if (player.getItemInHand().getAmount() > 1) {
                                player.getItemInHand().setAmount(player.getItemInHand().getAmount() - 1);
                            }
                            else {
                                player.setItemInHand(new ItemStack(Material.AIR));
                            }
                        }
                        arena.playerDisguise.put(player.getName(), currentItem);
                        player.closeInventory();
                        player.sendMessage(this.plugin.customization.messages.get("disguise_select").replace("%disguise%", currentItem.getType().name()));
                        return;
                    }
                    if (title.equals(ChatColor.DARK_RED + "Vote")) {
                        final String stripColor = ChatColor.stripColor(currentItem.getItemMeta().getDisplayName());
                        if (Arena.valueOf(stripColor) == null) {
                            return;
                        }
                        if (inventoryClickEvent.getAction().equals((Object)InventoryAction.PICKUP_ALL)) {
                            int n2 = 1;
                            if (player.hasPermission("hideandseek.vote.2")) {
                                n2 = 2;
                            }
                            if (player.hasPermission("hideandseek.vote.3")) {
                                n2 = 3;
                            }
                            if (this.plugin.playerData.get(player.getName()).votes.size() == n2) {
                                player.sendMessage((String)this.plugin.customization.messages.get("cant_vote_any_more"));
                                return;
                            }
                            this.plugin.playerData.get(player.getName()).votes.add(stripColor);
                            this.plugin.bungeeMode.arenasVotes.put(stripColor, (int)this.plugin.bungeeMode.arenasVotes.get(stripColor) + 1);
                            player.sendMessage(this.plugin.customization.messages.get("player_vote").replaceAll("%map%", stripColor));
                            int n3 = 0;
                            final Iterator iterator4 = this.plugin.playerData.get(player.getName()).votes.iterator();
                            while (iterator4.hasNext()) {
                                if (((String)iterator4.next()).equals(stripColor)) {
                                    ++n3;
                                }
                            }
                            if (n3 == 1) {
                                inventory.setItem(inventoryClickEvent.getSlot() + 9, XMaterial.LIME_STAINED_GLASS_PANE.parseItem());
                            }
                            else if (n3 == 2) {
                                inventory.setItem(inventoryClickEvent.getSlot() + 9, XMaterial.YELLOW_STAINED_GLASS_PANE.parseItem());
                            }
                            else if (n3 == 3) {
                                inventory.setItem(inventoryClickEvent.getSlot() + 9, XMaterial.RED_STAINED_GLASS_PANE.parseItem());
                            }
                            else if (n3 == 0) {
                                inventory.setItem(inventoryClickEvent.getSlot() + 9, XMaterial.GRAY_STAINED_GLASS_PANE.parseItem());
                            }
                        }
                        else if (inventoryClickEvent.getAction().equals((Object)InventoryAction.PICKUP_HALF)) {
                            final ArrayList votes = this.plugin.playerData.get(player.getName()).votes;
                            if (votes.contains(stripColor)) {
                                votes.remove(stripColor);
                                this.plugin.bungeeMode.arenasVotes.put(stripColor, (int)this.plugin.bungeeMode.arenasVotes.get(stripColor) - 1);
                                int n4 = 0;
                                final Iterator iterator5 = votes.iterator();
                                while (iterator5.hasNext()) {
                                    if (((String)iterator5.next()).equals(stripColor)) {
                                        ++n4;
                                    }
                                }
                                if (n4 == 1) {
                                    inventory.setItem(inventoryClickEvent.getSlot() + 9, XMaterial.LIME_STAINED_GLASS_PANE.parseItem());
                                }
                                else if (n4 == 2) {
                                    inventory.setItem(inventoryClickEvent.getSlot() + 9, XMaterial.YELLOW_STAINED_GLASS_PANE.parseItem());
                                }
                                else if (n4 == 0) {
                                    inventory.setItem(inventoryClickEvent.getSlot() + 9, XMaterial.GRAY_STAINED_GLASS_PANE.parseItem());
                                }
                            }
                        }
                        this.plugin.bungeeMode.scoreboard.setNonTrackableScore(stripColor, (int)this.plugin.bungeeMode.arenasVotes.get(stripColor));
                    }
                    else {
                        if (title.equals(this.plugin.customization.inventories.get("Trails"))) {
                            if (currentItem.getType().equals((Object)Material.ARROW)) {
                                ((PlayerData)this.plugin.playerData.get(player.getName())).selectedTrail = null;
                            }
                            else {
                                this.plugin.playerData.get(player.getName()).selectedTrail = Effect.valueOf(ChatColor.stripColor(currentItem.getItemMeta().getDisplayName()));
                            }
                            player.sendMessage(this.plugin.customization.messages.get("trail_equip").replace("%trail%", currentItem.getItemMeta().getDisplayName()));
                            return;
                        }
                        if (AchievementsManager.getInstance().isEnabled() && title.contains(AchievementsManager.getInstance().getGuiTitle())) {
                            inventoryClickEvent.setCancelled(true);
                            if (this.plugin.playerData.get(player.getName()).achievements.handleScroll(player, currentItem, inventory)) {
                                return;
                            }
                        }
                        else if (this.plugin.shopping.contains(player.getName())) {
                            if (currentItem.equals((Object)this.plugin.locked)) {
                                return;
                            }
                            if (title.equals(this.plugin.customization.inventories.get("Shop"))) {
                                if (currentItem.getType().equals((Object)Material.ANVIL)) {
                                    final Inventory inventory2 = Bukkit.createInventory((InventoryHolder)null, 27, (String)this.plugin.customization.inventories.get("Hider-Chance"));
                                    this.fillChanceShop(player, inventory2);
                                    inventory2.setItem(22, (ItemStack)Customization.getInstance().items.get("Back"));
                                    player.openInventory(inventory2);
                                    this.plugin.shopping.add(player.getName());
                                    return;
                                }
                                if (currentItem.getType().equals((Object)Material.ENDER_CHEST)) {
                                    final PlayerData playerData = this.plugin.playerData.get(player.getName());
                                    if (playerData.perks.contains(Perk.DisguiseSelector)) {
                                        playerData.specialBlocksShop.setItem(4, new ItemStackBuilder(Material.EMERALD).setName(ChatColor.GREEN + "Stats").addLore(new String[] { ChatColor.GRAY + "You currently have " + ChatColor.GREEN + this.plugin.playerData.get(player.getName()).getCoins(player) + ChatColor.GRAY + " coins!", ChatColor.GRAY + "and " + ChatColor.LIGHT_PURPLE + playerData.specialBlocks.size() + ChatColor.GRAY + " special blocks!" }).build());
                                        player.openInventory(playerData.specialBlocksShop);
                                        this.plugin.shopping.add(player.getName());
                                    }
                                    else {
                                        player.sendMessage((String)this.plugin.customization.messages.get("no_disguise_selector"));
                                        player.closeInventory();
                                    }
                                    return;
                                }
                                if (XMaterial.END_PORTAL_FRAME.isSimilar(currentItem)) {
                                    player.openInventory(this.plugin.perkGroupSelector);
                                    this.plugin.shopping.add(player.getName());
                                    return;
                                }
                                if (currentItem.getType().equals((Object)Material.BEACON)) {
                                    player.openInventory(this.plugin.karmaShop);
                                    this.plugin.shopping.add(player.getName());
                                }
                            }
                            else {
                                if (Utils.compareItem(currentItem, (ItemStack)Customization.getInstance().items.get("Back"))) {
                                    if (title.equals(this.plugin.customization.inventories.get("Perks"))) {
                                        player.openInventory(this.plugin.perkGroupSelector);
                                    }
                                    else {
                                        player.openInventory(this.plugin.shopInventory);
                                    }
                                    this.plugin.shopping.add(player.getName());
                                    return;
                                }
                                if (title.equals(this.plugin.customization.inventories.get("Hider-Chance"))) {
                                    if (currentItem.getType().name().contains("WOOL")) {
                                        final PlayerData playerData2 = this.plugin.playerData.get(player.getName());
                                        final int hiderChance = playerData2.hiderChance;
                                        int n5 = -1;
                                        int n6 = -1;
                                        for (final int intValue : Config.getInstance().shopChances.keySet()) {
                                            if (intValue < hiderChance) {
                                                n6 = intValue;
                                            }
                                            if (intValue > hiderChance) {
                                                n5 = intValue;
                                                break;
                                            }
                                        }
                                        if (inventoryClickEvent.getRawSlot() == 8) {
                                            if (n5 != -1) {
                                                final int intValue2 = Config.getInstance().shopChances.get(n5);
                                                if (playerData2.hasCoins(player, intValue2)) {
                                                    playerData2.removeCoins(player, intValue2);
                                                    playerData2.hiderChance = n5;
                                                    player.sendMessage((String)this.plugin.customization.messages.get("successful_purchase"));
                                                    this.fillChanceShop(player, inventory);
                                                }
                                                else {
                                                    player.sendMessage((String)this.plugin.customization.messages.get("not_enough_coins"));
                                                }
                                            }
                                        }
                                        else if (n6 != -1) {
                                            final int intValue3 = Config.getInstance().shopChances.get(n6);
                                            if (playerData2.hasCoins(player, intValue3)) {
                                                playerData2.removeCoins(player, intValue3);
                                                playerData2.hiderChance = n6;
                                                player.sendMessage((String)this.plugin.customization.messages.get("successful_purchase"));
                                                this.fillChanceShop(player, inventory);
                                            }
                                            else {
                                                player.sendMessage((String)this.plugin.customization.messages.get("not_enough_coins"));
                                            }
                                        }
                                    }
                                }
                                else {
                                    if (title.equals(this.plugin.customization.inventories.get("Special-Blocks"))) {
                                        if (Config.getInstance().shopSpecial.containsKey(new ItemStackBuilder(currentItem.clone()).clearLore().build())) {
                                            final Inventory inventory3 = Bukkit.createInventory((InventoryHolder)null, 9, (String)this.plugin.customization.inventories.get("Block-Purchase"));
                                            inventory3.setItem(0, this.yes);
                                            inventory3.setItem(4, currentItem);
                                            inventory3.setItem(8, this.no);
                                            player.openInventory(inventory3);
                                            this.plugin.shopping.add(player.getName());
                                        }
                                        return;
                                    }
                                    if (title.equals(this.plugin.customization.inventories.get("Perk-Type-Selector"))) {
                                        final PlayerData playerData3 = this.plugin.playerData.get(player.getName());
                                        final ItemStack build = new ItemStackBuilder(Material.EMERALD).setName(ChatColor.GREEN + "Stats").addLore(new String[] { ChatColor.GRAY + "You currently have " + ChatColor.GREEN + this.plugin.playerData.get(player.getName()).getCoins(player) + ChatColor.GRAY + " coins!", ChatColor.GRAY + "and " + ChatColor.LIGHT_PURPLE + playerData3.perks.size() + ChatColor.GRAY + " perks!" }).build();
                                        if (currentItem.getType().equals((Object)Material.DIAMOND_SWORD)) {
                                            playerData3.seekerPerksShop.setItem(4, build);
                                            player.openInventory(playerData3.seekerPerksShop);
                                        }
                                        else if (currentItem.getType().equals((Object)XMaterial.GRASS_BLOCK.parseMaterial())) {
                                            playerData3.hiderPerksShop.setItem(4, build);
                                            player.openInventory(playerData3.hiderPerksShop);
                                        }
                                        this.plugin.shopping.add(player.getName());
                                        return;
                                    }
                                    if (title.equals(this.plugin.customization.inventories.get("Perks"))) {
                                        Perk perk = null;
                                        for (final Perk perk2 : Perk.values()) {
                                            if (perk2.unpurchased.equals((Object)currentItem)) {
                                                perk = perk2;
                                                break;
                                            }
                                        }
                                        if (perk != null) {
                                            final Inventory inventory4 = Bukkit.createInventory((InventoryHolder)null, 9, ChatColor.DARK_RED + "Confirm perk purchase!");
                                            inventory4.setItem(0, this.yes);
                                            inventory4.setItem(4, currentItem);
                                            inventory4.setItem(8, this.no);
                                            player.openInventory(inventory4);
                                            this.plugin.shopping.add(player.getName());
                                        }
                                        return;
                                    }
                                    if (title.equals(this.plugin.customization.inventories.get("Karma-Shop"))) {
                                        final Inventory inventory5 = Bukkit.createInventory((InventoryHolder)null, 9, ChatColor.DARK_RED + "Confirm coins purchase!");
                                        inventory5.setItem(0, this.yes);
                                        inventory5.setItem(4, currentItem);
                                        inventory5.setItem(8, this.no);
                                        player.openInventory(inventory5);
                                        this.plugin.shopping.add(player.getName());
                                        return;
                                    }
                                    if (title.equals(this.plugin.customization.inventories.get("Block-Purchase"))) {
                                        if (currentItem.equals((Object)this.yes)) {
                                            final ItemStack build2 = new ItemStackBuilder(inventory.getItem(4).clone()).clearLore().build();
                                            if (Config.getInstance().shopSpecial.containsKey(build2)) {
                                                final PlayerData playerData4 = this.plugin.playerData.get(player.getName());
                                                final int intValue4 = Config.getInstance().shopSpecial.get(build2);
                                                if (playerData4.hasCoins(player, intValue4)) {
                                                    playerData4.specialBlocksShop.remove(inventory.getItem(4));
                                                    playerData4.specialBlocks.add(build2);
                                                    playerData4.removeCoins(player, intValue4);
                                                    playerData4.specialBlocksShop.setItem(4, new ItemStackBuilder(Material.EMERALD).setName(ChatColor.GREEN + "Stats").addLore(new String[] { ChatColor.GRAY + "You currently have " + ChatColor.GREEN + this.plugin.playerData.get(player.getName()).getCoins(player) + ChatColor.GRAY + " coins!", ChatColor.GRAY + "and " + ChatColor.LIGHT_PURPLE + playerData4.specialBlocks.size() + ChatColor.GRAY + " special blocks!" }).build());
                                                    player.sendMessage((String)this.plugin.customization.messages.get("successful_purchase"));
                                                    player.openInventory(playerData4.specialBlocksShop);
                                                    this.plugin.shopping.add(player.getName());
                                                }
                                                else {
                                                    player.sendMessage((String)this.plugin.customization.messages.get("not_enough_coins"));
                                                }
                                            }
                                        }
                                        else if (currentItem.equals((Object)this.no)) {
                                            player.openInventory(((PlayerData)this.plugin.playerData.get(player.getName())).specialBlocksShop);
                                            this.plugin.shopping.add(player.getName());
                                        }
                                        return;
                                    }
                                    if (title.equals(ChatColor.DARK_RED + "Confirm perk purchase!")) {
                                        Perk e = null;
                                        for (final Perk perk3 : Perk.values()) {
                                            if (perk3.unpurchased.equals((Object)inventory.getItem(4))) {
                                                e = perk3;
                                                break;
                                            }
                                        }
                                        final PlayerData playerData5 = this.plugin.playerData.get(player.getName());
                                        if (currentItem.equals((Object)this.yes)) {
                                            if (playerData5.hasCoins(player, e.cost)) {
                                                playerData5.perks.add(e);
                                                playerData5.removeCoins(player, e.cost);
                                                AchievementsManager.getInstance().checkPlayer(player, AchievementsManager.AchievementType.PERKS_PURCHASED, playerData5.perks.size());
                                                final ItemStack build3 = new ItemStackBuilder(Material.EMERALD).setName(ChatColor.GREEN + "Stats").addLore(new String[] { ChatColor.GRAY + "You currently have " + ChatColor.GREEN + this.plugin.playerData.get(player.getName()).getCoins(player) + ChatColor.GRAY + " coins!", ChatColor.GRAY + "and " + ChatColor.LIGHT_PURPLE + playerData5.perks.size() + ChatColor.GRAY + " perks!" }).build();
                                                if (e.hider) {
                                                    playerData5.hiderPerksShop.setItem(4, build3);
                                                    for (int n7 = 19; n7 < 26; ++n7) {
                                                        if (playerData5.hiderPerksShop.getItem(n7).equals((Object)e.unpurchased)) {
                                                            playerData5.hiderPerksShop.setItem(n7, e.purchased);
                                                            break;
                                                        }
                                                    }
                                                    if (e.equals((Object)Perk.DisguiseSelector)) {
                                                        if (Config.getInstance().bungeeEnabled) {
                                                            if (this.plugin.bungeeMode.selectedArena != null) {
                                                                player.getInventory().addItem(new ItemStack[] { Perk.DisguiseSelector.purchased });
                                                            }
                                                        }
                                                        else {
                                                            player.getInventory().addItem(new ItemStack[] { Perk.DisguiseSelector.purchased });
                                                        }
                                                    }
                                                }
                                                else {
                                                    playerData5.seekerPerksShop.setItem(4, build3);
                                                    for (int n8 = 19; n8 < 26; ++n8) {
                                                        if (playerData5.seekerPerksShop.getItem(n8).equals((Object)e.unpurchased)) {
                                                            playerData5.seekerPerksShop.setItem(n8, e.purchased);
                                                            break;
                                                        }
                                                    }
                                                }
                                                player.sendMessage((String)this.plugin.customization.messages.get("successful_purchase"));
                                                player.openInventory(e.hider ? playerData5.hiderPerksShop : playerData5.seekerPerksShop);
                                                this.plugin.shopping.add(player.getName());
                                            }
                                            else {
                                                player.sendMessage((String)this.plugin.customization.messages.get("not_enough_coins"));
                                            }
                                        }
                                        else if (currentItem.equals((Object)this.no)) {
                                            player.openInventory(e.hider ? playerData5.hiderPerksShop : playerData5.seekerPerksShop);
                                            this.plugin.shopping.add(player.getName());
                                        }
                                        return;
                                    }
                                    if (title.equals(ChatColor.DARK_RED + "Confirm coins purchase!")) {
                                        if (currentItem.equals((Object)this.yes)) {
                                            final int intValue5 = Integer.valueOf(ChatColor.stripColor(inventory.getItem(4).getItemMeta().getLore().get(0).split(" ")[1]));
                                            final PlayerData playerData6 = this.plugin.playerData.get(player.getName());
                                            if (playerData6.karma >= intValue5) {
                                                final PlayerData playerData7 = playerData6;
                                                playerData7.karma -= intValue5;
                                                playerData6.addCoins(player, Integer.parseInt(ChatColor.stripColor(inventory.getItem(4).getItemMeta().getDisplayName().split(" ")[0])));
                                                player.sendMessage((String)this.plugin.customization.messages.get("successful_purchase"));
                                                player.openInventory(this.plugin.karmaShop);
                                                this.plugin.shopping.add(player.getName());
                                            }
                                            else {
                                                player.sendMessage((String)this.plugin.customization.messages.get("not_enough_karma"));
                                            }
                                        }
                                        else if (currentItem.equals((Object)this.no)) {
                                            player.openInventory(this.plugin.karmaShop);
                                            this.plugin.shopping.add(player.getName());
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
                return;
            }
            if (rawSlot < -1 || rawSlot > inventory.getSize() || currentItem == null || currentItem.getType().equals((Object)Material.AIR)) {
                return;
            }
            if (currentItem.getType().equals((Object)Material.CHEST) && currentItem.getItemMeta().getDisplayName().equals(ChatColor.RED + "Back")) {
                inventoryClickEvent.setCancelled(true);
                final Arena value2 = Arena.valueOf(ChatColor.stripColor(title).split(" ")[2]);
                if (value2 != null) {
                    player.openInventory(value2.editor);
                }
                else {
                    player.sendMessage((String)this.plugin.customization.messages.get("unknown_arena"));
                    player.closeInventory();
                }
            }
        }
    }
    
    public void fillChanceShop(final Player player, final Inventory inventory) {
        final int hiderChance = this.plugin.playerData.get(player.getName()).hiderChance;
        inventory.setItem(4, new ItemStackBuilder(Material.EMERALD).setName(ChatColor.GREEN + "Stats").addLore(new String[] { ChatColor.GRAY + "Your current hider chance is: " + ChatColor.YELLOW + hiderChance + "%", ChatColor.GRAY + "You currently have " + ChatColor.GREEN + this.plugin.playerData.get(player.getName()).getCoins(player) + ChatColor.GRAY + " coins!" }).build());
        int n = -1;
        int n2 = -1;
        for (final int intValue : Config.getInstance().shopChances.keySet()) {
            if (intValue < hiderChance) {
                n2 = intValue;
            }
            if (intValue > hiderChance) {
                n = intValue;
                break;
            }
        }
        final ItemStackBuilder setName = new ItemStackBuilder(XMaterial.LIME_WOOL.parseItem()).setName(ChatColor.GREEN + "Increase (+)");
        if (n == -1) {
            setName.addLore(new String[] { ChatColor.RED + "Locked" });
        }
        else {
            setName.addLore(new String[] { ChatColor.GRAY + "This will increase the chance", ChatColor.GRAY + "of you becoming a hider to", ChatColor.YELLOW + String.valueOf(n) + "%" }).addLore(new String[] { " ", ChatColor.GOLD + "Price: " + ChatColor.YELLOW + Config.getInstance().shopChances.get(n) });
        }
        inventory.setItem(8, setName.build());
        final ItemStackBuilder setName2 = new ItemStackBuilder(XMaterial.RED_WOOL.parseItem()).setName(ChatColor.RED + "Decrease (-)");
        if (n2 == -1) {
            setName2.addLore(new String[] { ChatColor.RED + "Locked" });
        }
        else {
            setName2.addLore(new String[] { ChatColor.GRAY + "This will decrease the chance", ChatColor.GRAY + "of you becoming a hider to" }).addLore(new String[] { ChatColor.YELLOW + String.valueOf(n2) + "%", " ", ChatColor.GOLD + "Price: " + ChatColor.YELLOW + Config.getInstance().shopChances.get(n2) });
        }
        inventory.setItem(0, setName2.build());
    }
}
